Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: net::PortForwardingAutoSetup Interface Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
net::PortForwardingAutoSetup Interface Reference

Interface for running the port-forwarding auto-setup. More...

`import "PortForwardingAutoSetup.idl";`

## Public Member Functions
int | start (in int numberOfExpansionUnits, in string username, in string password, in string newPassword, in boolean disableStrongPasswordReq)
| Start the port-forwarding auto-setup.
PortForwardingAutoSetupStatus | getStatus ()
| Get the status of a port-forwarding auto-setup.
void | cancel ()
| Cancel a running port-forwarding auto-setup.

## Public Attributes
constant int | SUCCESS = 0
| Success code.
constant int | ERR_PF_AUTO_SETUP_NOT_A_PRIMARY_UNIT = 1
constant int | ERR_PF_AUTO_SETUP_ALREADY_RUNNING = 2
constant int | ERR_PF_AUTO_SETUP_INVALID_PARAM = 3

## Detailed Description

Interface for running the port-forwarding auto-setup.

Definition at line 49 of file PortForwardingAutoSetup.idl.

## Member Function Documentation

## ◆ getStatus()

PortForwardingAutoSetupStatus net::PortForwardingAutoSetup::getStatus | ( |  | ) |

Get the status of a port-forwarding auto-setup.

Returns
  the status

## ◆ start()

int net::PortForwardingAutoSetup::start | ( | in int | numberOfExpansionUnits,
|  | in string | username,
|  | in string | password,
|  | in string | newPassword,
|  | in boolean | disableStrongPasswordReq )

Start the port-forwarding auto-setup.

This will try to discover units that are connected to a port-forwarding downstream interface and configure them as port-forwarding expansion units, one-by-one. The auto-setup will exit if any errors occured or the number of expansion units to discover was reached.

The auto-setup can only be started on port-forwarding primary units. It does not work with the USB downstream interface (will return ERR_PF_AUTO_SETUP_INVALID_PARAM).

Parameters

  numberOfExpansionUnits | how many expansion units should this port-forwarding cascade have
  username | the username that is used to login to the expansion units
  password | the password to login to the expansion units
  newPassword | set a new password if an expansion unit needs to change the default password
  disableStrongPasswordReq | `true` to disable strong password requirements of the expansion unit

Returns
  0 if OK
  ERR_PF_AUTO_SETUP_NOT_A_PRIMARY_UNIT this unit is not a port-forwarding primary unit
  ERR_PF_AUTO_SETUP_ALREADY_RUNNING an earlier run of the port-forwarding auto-setup is still running
  ERR_PF_AUTO_SETUP_INVALID_PARAM one of the parameters was invalid

## Member Data Documentation

## ◆ ERR_PF_AUTO_SETUP_ALREADY_RUNNING

constant int net::PortForwardingAutoSetup::ERR_PF_AUTO_SETUP_ALREADY_RUNNING = 2

Definition at line 54 of file PortForwardingAutoSetup.idl.

## ◆ ERR_PF_AUTO_SETUP_INVALID_PARAM

constant int net::PortForwardingAutoSetup::ERR_PF_AUTO_SETUP_INVALID_PARAM = 3

Definition at line 55 of file PortForwardingAutoSetup.idl.

## ◆ ERR_PF_AUTO_SETUP_NOT_A_PRIMARY_UNIT

constant int net::PortForwardingAutoSetup::ERR_PF_AUTO_SETUP_NOT_A_PRIMARY_UNIT = 1

Definition at line 53 of file PortForwardingAutoSetup.idl.

## ◆ SUCCESS

constant int net::PortForwardingAutoSetup::SUCCESS = 0

Success code.

Definition at line 52 of file PortForwardingAutoSetup.idl.

The documentation for this interface was generated from the following file:

- PortForwardingAutoSetup.idl